Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List me view preferences

GET/workspaces/{organizationId}/me/view-preferences
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Per-user view preferences

defaultViewIdstring | nullrequired
hiddenSurfacesstring[] | nullrequired
favoritesobject[] | nullrequired
Show properties
Array of object
typestringrequired
Allowed:issuedocument
idstringrequired
titlestringrequired
identifierstring | null
addedAtstringrequired
displayobject | nullrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/me/view-preferences' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "defaultViewId": "string",
  "hiddenSurfaces": [
    "string"
  ],
  "favorites": [
    {
      "type": "issue",
      "id": "string",
      "title": "string",
      "identifier": "string",
      "addedAt": "string"
    }
  ],
  "display": {
    "property1": {
      "sheetColors": {
        "property1": "string",
        "property2": "string"
      },
      "density": "comfortable",
      "hiddenColumns": [
        "string"
      ]
    },
    "property2": {
      "sheetColors": {
        "property1": "string",
        "property2": "string"
      },
      "density": "comfortable",
      "hiddenColumns": [
        "string"
      ]
    }
  }
}

Was this page helpful?